Uses of Class
org.bremersee.keycloak.api.model.ResourceRepresentation
Packages that use ResourceRepresentation
-
Uses of ResourceRepresentation in org.bremersee.keycloak.api.model
Methods in org.bremersee.keycloak.api.model that return ResourceRepresentationModifier and TypeMethodDescriptionResourceRepresentation.addScopesItem(ScopeRepresentation scopesItem) ResourceRepresentation.addScopesUmaItem(ScopeRepresentation scopesUmaItem) ResourceRepresentation.addUrisItem(String urisItem) ResourceRepresentation.attributes(Map<String, List<String>> attributes) ResourceRepresentation.displayName(String displayName) @Valid ResourceRepresentationEvaluationResultRepresentation.getResource()Get resourceResourceRepresentation.owner(ResourceOwnerRepresentation owner) ResourceRepresentation.ownerManagedAccess(Boolean ownerManagedAccess) ResourceRepresentation.putAttributesItem(String key, List<String> attributesItem) ResourceRepresentation.scopes(Set<@Valid ScopeRepresentation> scopes) ResourceRepresentation.scopesUma(Set<@Valid ScopeRepresentation> scopesUma) Methods in org.bremersee.keycloak.api.model that return types with arguments of type ResourceRepresentationModifier and TypeMethodDescription@Valid List<@Valid ResourceRepresentation> PolicyEvaluationRequest.getResources()Get resources@Valid List<@Valid ResourceRepresentation> ResourceServerRepresentation.getResources()Get resources@Valid List<@Valid ResourceRepresentation> ScopeRepresentation.getResources()Get resources@Valid Set<@Valid ResourceRepresentation> AbstractPolicyRepresentation.getResourcesData()Get resourcesData@Valid Set<@Valid ResourceRepresentation> PolicyRepresentation.getResourcesData()Get resourcesDataMethods in org.bremersee.keycloak.api.model with parameters of type ResourceRepresentationModifier and TypeMethodDescriptionAbstractPolicyRepresentation.addResourcesDataItem(ResourceRepresentation resourcesDataItem) PolicyRepresentation.addResourcesDataItem(ResourceRepresentation resourcesDataItem) PolicyEvaluationRequest.addResourcesItem(ResourceRepresentation resourcesItem) ResourceServerRepresentation.addResourcesItem(ResourceRepresentation resourcesItem) ScopeRepresentation.addResourcesItem(ResourceRepresentation resourcesItem) EvaluationResultRepresentation.resource(ResourceRepresentation resource) voidEvaluationResultRepresentation.setResource(ResourceRepresentation resource) Method parameters in org.bremersee.keycloak.api.model with type arguments of type ResourceRepresentationModifier and TypeMethodDescriptionPolicyEvaluationRequest.resources(List<@Valid ResourceRepresentation> resources) ResourceServerRepresentation.resources(List<@Valid ResourceRepresentation> resources) ScopeRepresentation.resources(List<@Valid ResourceRepresentation> resources) AbstractPolicyRepresentation.resourcesData(Set<@Valid ResourceRepresentation> resourcesData) PolicyRepresentation.resourcesData(Set<@Valid ResourceRepresentation> resourcesData) voidPolicyEvaluationRequest.setResources(List<@Valid ResourceRepresentation> resources) voidResourceServerRepresentation.setResources(List<@Valid ResourceRepresentation> resources) voidScopeRepresentation.setResources(List<@Valid ResourceRepresentation> resources) voidAbstractPolicyRepresentation.setResourcesData(Set<@Valid ResourceRepresentation> resourcesData) voidPolicyRepresentation.setResourcesData(Set<@Valid ResourceRepresentation> resourcesData) -
Uses of ResourceRepresentation in org.bremersee.keycloak.api.webflux
Methods in org.bremersee.keycloak.api.webflux that return types with arguments of type ResourceRepresentationModifier and TypeMethodDescriptionreactor.core.publisher.Flux<ResourceRepresentation> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceGet(String realm, String clientUuid, @Valid String id, @Valid Boolean deep, @Valid Boolean exactName, @Valid Integer first, @Valid Boolean matchingUri, @Valid Integer max, @Valid String name, @Valid String owner, @Valid String scope, @Valid String type, @Valid String uri) GET /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/resourcereactor.core.publisher.Flux<ResourceRepresentation> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceGet(String realm, String clientUuid, @Nullable @Valid String id, @Nullable @Valid Boolean deep, @Nullable @Valid Boolean exactName, @Nullable @Valid Integer first, @Nullable @Valid Boolean matchingUri, @Nullable @Valid Integer max, @Nullable @Valid String name, @Nullable @Valid String owner, @Nullable @Valid String scope, @Nullable @Valid String type, @Nullable @Valid String uri) reactor.core.publisher.Mono<ResourceRepresentation> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerResourcePost(String realm, String clientUuid, @Valid String id, @Valid Boolean deep, @Valid Boolean exactName, @Valid Integer first, @Valid Boolean matchingUri, @Valid Integer max, @Valid String name, @Valid String owner, @Valid String scope, @Valid String type, @Valid String uri, @Valid reactor.core.publisher.Mono<ResourceRepresentation> resourceRepresentation) POST /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/resourcereactor.core.publisher.Mono<ResourceRepresentation> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerResourcePost(String realm, String clientUuid, @Nullable @Valid String id, @Nullable @Valid Boolean deep, @Nullable @Valid Boolean exactName, @Nullable @Valid Integer first, @Nullable @Valid Boolean matchingUri, @Nullable @Valid Integer max, @Nullable @Valid String name, @Nullable @Valid String owner, @Nullable @Valid String scope, @Nullable @Valid String type, @Nullable @Valid String uri, @Valid reactor.core.publisher.Mono<ResourceRepresentation> resourceRepresentation) reactor.core.publisher.Mono<ResourceRepresentation> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceResourceIdGet(String realm, String clientUuid, String resourceId, @Valid String id, @Valid Boolean deep, @Valid Boolean exactName, @Valid Integer first, @Valid Boolean matchingUri, @Valid Integer max, @Valid String name, @Valid String owner, @Valid String scope, @Valid String type, @Valid String uri) GET /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/resource/{resource-id}reactor.core.publisher.Mono<ResourceRepresentation> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceResourceIdGet(String realm, String clientUuid, String resourceId, @Nullable @Valid String id, @Nullable @Valid Boolean deep, @Nullable @Valid Boolean exactName, @Nullable @Valid Integer first, @Nullable @Valid Boolean matchingUri, @Nullable @Valid Integer max, @Nullable @Valid String name, @Nullable @Valid String owner, @Nullable @Valid String scope, @Nullable @Valid String type, @Nullable @Valid String uri) reactor.core.publisher.Mono<ResourceRepresentation> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceSearchGet(String realm, String clientUuid, @Valid String id, @Valid Boolean deep, @Valid Boolean exactName, @Valid Integer first, @Valid Boolean matchingUri, @Valid Integer max, @Valid String owner, @Valid String scope, @Valid String type, @Valid String uri, @Valid String name) GET /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/resource/searchreactor.core.publisher.Mono<ResourceRepresentation> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceSearchGet(String realm, String clientUuid, @Nullable @Valid String id, @Nullable @Valid Boolean deep, @Nullable @Valid Boolean exactName, @Nullable @Valid Integer first, @Nullable @Valid Boolean matchingUri, @Nullable @Valid Integer max, @Nullable @Valid String owner, @Nullable @Valid String scope, @Nullable @Valid String type, @Nullable @Valid String uri, @Nullable @Valid String name) reactor.core.publisher.Flux<ResourceRepresentation> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerScopeScopeIdResourcesGet(String realm, String clientUuid, String scopeId) GET /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/scope/{scope-id}/resourcesreactor.core.publisher.Flux<ResourceRepresentation> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerScopeScopeIdResourcesGet(String realm, String clientUuid, String scopeId) Method parameters in org.bremersee.keycloak.api.webflux with type arguments of type ResourceRepresentationModifier and TypeMethodDescriptionreactor.core.publisher.Mono<ResourceRepresentation> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerResourcePost(String realm, String clientUuid, @Valid String id, @Valid Boolean deep, @Valid Boolean exactName, @Valid Integer first, @Valid Boolean matchingUri, @Valid Integer max, @Valid String name, @Valid String owner, @Valid String scope, @Valid String type, @Valid String uri, @Valid reactor.core.publisher.Mono<ResourceRepresentation> resourceRepresentation) POST /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/resourcereactor.core.publisher.Mono<ResourceRepresentation> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerResourcePost(String realm, String clientUuid, @Nullable @Valid String id, @Nullable @Valid Boolean deep, @Nullable @Valid Boolean exactName, @Nullable @Valid Integer first, @Nullable @Valid Boolean matchingUri, @Nullable @Valid Integer max, @Nullable @Valid String name, @Nullable @Valid String owner, @Nullable @Valid String scope, @Nullable @Valid String type, @Nullable @Valid String uri, @Valid reactor.core.publisher.Mono<ResourceRepresentation> resourceRepresentation) reactor.core.publisher.Mono<Void> AdminApi.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceResourceIdPut(String realm, String clientUuid, String resourceId, @Valid String id, @Valid Boolean deep, @Valid Boolean exactName, @Valid Integer first, @Valid Boolean matchingUri, @Valid Integer max, @Valid String name, @Valid String owner, @Valid String scope, @Valid String type, @Valid String uri, @Valid reactor.core.publisher.Mono<ResourceRepresentation> resourceRepresentation) PUT /admin/realms/{realm}/clients/{client-uuid}/authz/resource-server/resource/{resource-id}reactor.core.publisher.Mono<Void> AdminApiMock.adminRealmsRealmClientsClientUuidAuthzResourceServerResourceResourceIdPut(String realm, String clientUuid, String resourceId, @Nullable @Valid String id, @Nullable @Valid Boolean deep, @Nullable @Valid Boolean exactName, @Nullable @Valid Integer first, @Nullable @Valid Boolean matchingUri, @Nullable @Valid Integer max, @Nullable @Valid String name, @Nullable @Valid String owner, @Nullable @Valid String scope, @Nullable @Valid String type, @Nullable @Valid String uri, @Valid reactor.core.publisher.Mono<ResourceRepresentation> resourceRepresentation)